CRAN Package Check Results for Package sybil

Last updated on 2014-04-24 03:47:56.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.2.5 8.59 122.84 131.44 OK
r-devel-linux-x86_64-debian-gcc 1.2.5 8.16 121.61 129.76 OK
r-devel-linux-x86_64-fedora-clang 1.2.5 304.53 NOTE
r-devel-linux-x86_64-fedora-gcc 1.2.5 290.16 NOTE
r-devel-osx-x86_64-clang 1.2.5 242.36 NOTE
r-devel-osx-x86_64-gcc 1.2.5 NOTE
r-devel-windows-ix86+x86_64 1.2.5 16.00 196.00 212.00 NOTE
r-patched-linux-x86_64 1.2.5 8.23 118.89 127.12 OK
r-patched-solaris-sparc 1.2.5 1587.00 NOTE
r-patched-solaris-x86 1.2.5 360.20 NOTE
r-release-linux-ix86 1.2.5 11.00 189.00 200.00 OK
r-release-linux-x86_64 1.2.5 8.60 120.97 129.58 OK
r-release-osx-x86_64-mavericks 1.2.5 ERROR
r-release-osx-x86_64-snowleopard 1.2.5 NOTE
r-release-windows-ix86+x86_64 1.2.5 19.00 189.00 208.00 NOTE
r-oldrel-windows-ix86+x86_64 1.2.5 20.00 181.00 201.00 NOTE

Check Details

Version: 1.2.5
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘cplexAPI’
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-osx-x86_64-clang, r-devel-windows-ix86+x86_64, r-patched-solaris-sparc, r-patched-solaris-x86, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64

Version: 1.2.5
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking: ‘cplexAPI’ ‘clpAPI’
Flavors: r-devel-osx-x86_64-gcc, r-release-osx-x86_64-snowleopard

Version: 1.2.5
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking:
     ‘glpkAPI’ ‘cplexAPI’ ‘clpAPI’
Flavor: r-release-osx-x86_64-mavericks

Version: 1.2.5
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: ‘glpkAPI’
Flavor: r-release-osx-x86_64-mavericks

Version: 1.2.5
Check: examples
Result: ERROR
    Running examples in ‘sybil-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: SYBIL_SETTINGS
    > ### Title: Set and Get sybil Parameters
    > ### Aliases: SYBIL_SETTINGS SOLVER METHOD TOLERANCE MAXIMUM ALGORITHM
    > ### OPT_DIRECTION USE_NAMES PATH_TO_MODEL SOLVER_CTRL_PARM
    > ### Keywords: optimize
    >
    > ### ** Examples
    >
    > ## show all current parameters
    > SYBIL_SETTINGS()
    $SOLVER
    [1] "glpkAPI"
    
    $METHOD
    [1] "simplex"
    
    $TOLERANCE
    [1] 1e-06
    
    $MAXIMUM
    [1] 1000
    
    $ALGORITHM
    [1] "fba"
    
    $OPT_DIRECTION
    [1] "max"
    
    $USE_NAMES
    [1] FALSE
    
    $PATH_TO_MODEL
    [1] "."
    
    $SOLVER_CTRL_PARM
     NA
    1 NA
    
    >
    > ## show current setting for "SOLVER"
    > SYBIL_SETTINGS("SOLVER")
    [1] "glpkAPI"
    >
    > ## change current solver to glpkAPI
    > SYBIL_SETTINGS("SOLVER", "glpkAPI")
    Loading required package: glpkAPI
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called ‘glpkAPI’
    Error in checkDefaultMethod(solver = value, method = "", probType = "", :
     package ‘glpkAPI’ not found
    Calls: SYBIL_SETTINGS -> checkDefaultMethod
    Execution halted
Flavor: r-release-osx-x86_64-mavericks

Version: 1.2.5
Check: re-building of vignette outputs
Result: NOTE
    Error in re-building vignettes:
     ...
    
     Gabriel Gelius-Dietrich
    
    _S_e_e _A_l_s_o:
    
     'checkOptSol', 'optsol_optimizeProb' 'optsol_fluxdel',
     'optsol_genedel', 'optsol_robAna' and 'optsol_fluxVar'
    
    _E_x_a_m_p_l_e_s:
    
     showClass("optsol")
    
    
    Error in texi2dvi(file = file, pdf = TRUE, clean = clean, quiet = quiet, :
     Running 'texi2dvi' on 'sybil.tex' failed.
    LaTeX errors:
    ! LaTeX Error: File `mparhack.sty' not found.
    
    Type X to quit or <RETURN> to proceed,
    or enter new name. (Default extension: sty)
    
    sybil.Rcheck/vign_test/sybil/vignettes/sybil.tex:8: ==> Fatal error occurred,
    no output PDF file produced!
    Calls: buildVignettes -> texi2pdf -> texi2dvi
    Execution halted
Flavor: r-release-osx-x86_64-snowleopard